Realtime Avatar

Create an avatar

POST
/api/v1/avatars

Create an avatar record from an uploaded asset (see POST /api/v1/assets or POST /api/v1/assets/remote). Requires scope avatars:write.

AuthorizationBearer <token>

TIC API key as a bearer token: Authorization: Bearer tic_live_... or tic_test_.... Create keys in the dashboard at /platform/dashboard or via POST /api/v1/api-keys.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/avatars" \  -H "Content-Type: application/json" \  -d '{    "displayName": "string",    "sourceKind": "image"  }'
{  "id": "string",  "tenantId": "string",  "displayName": "string",  "sourceKind": "image",  "modelId": "string",  "sourceAssetId": "string",  "status": "draft",  "defaultVoiceId": "string",  "cacheManifestId": "string",  "cacheVersion": 0,  "createdAt": "string",  "updatedAt": "string"}
{  "error": "string",  "status": 0,  "code": "string",  "retryable": true,  "billingUrl": "string"}
{  "error": "string",  "status": 0,  "code": "string",  "retryable": true,  "billingUrl": "string"}
{  "error": "string",  "status": 0,  "code": "string",  "retryable": true,  "billingUrl": "string"}